{ KOL MCK } // Do not remove this line!

procedure NewVolumeControllerForm( var Result: PVolumeControllerForm; AParent: PControl );
begin

  {$IFDEF KOLCLASSES}
  Result := PVolumeControllerForm.Create;
  {$ELSE OBJECTS}
  New( Result, Create );
  {$ENDIF KOL CLASSES/OBJECTS}
  Result.Form := NewForm( AParent, 'Volume Controller' ).SetPosition( 198, 109 ){No MainMenu!}.SetClientSize( 787, 611 );
  Applet :=  Result.Form;
  Result.Form.Add2AutoFree( Result );
{$IFDEF UNICODE_CTRLS}
     Result.Form.SetUnicode(TRUE);
{$ENDIF UNICODE_CTRLS}
   {$IFDEF USE_NAMES}
    Result.Form.Name := 'VolumeControllerForm';
   {$ENDIF}
    // Result.tbBalance.TabOrder = 0
    Result.tbBalance := PMHTrackbar( NewMHTrackBar( Result.Form, True, trHorizontal, tmBoth, False, tsAuto ).SetPosition( 240, 96 ).SetSize( 189, 45 ));
    Result.tbBalance.ThumbLength:=20;
    Result.tbBalance.PageSize:=2;
    Result.tbBalance.Frequency:=1;
    Result.tbBalance.ToolTipOrientation:=ttsBottomRight;
    Result.tbBalance.SelStart:=0;
    Result.tbBalance.SelEnd:=50;
    // Result.tbVolume.TabOrder = 0
    Result.tbVolume := PMHTrackbar( NewMHTrackBar( Result.Form, True, trVertical, tmBoth, False, tsAuto ).SetPosition( 304, 152 ).SetSize( 53, 381 ));
    Result.tbVolume.ThumbLength:=20;
    Result.tbVolume.PageSize:=2;
    Result.tbVolume.Frequency:=1;
    Result.tbVolume.ToolTipOrientation:=ttsBottomRight;
    // Result.cbMute.TabOrder = 1
    Result.cbMute := NewCheckBox( Result.Form, 'Mute' ).SetPosition( 271, 549 );
   {$IFDEF USE_NAMES}
    Result.cbMute.Name := 'cbMute';
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
    Result.cbMute.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
      Result.tbBalance.OnMouseMove := Result.tbBalanceMouseMove;
      Result.tbVolume.OnMouseMove := Result.tbVolumeMouseMove;
      Result.cbMute.OnClick := Result.cbMuteClick;
    Result.KOLForm1FormCreate( Result );

end;

